import * as React from 'react';
import { DmcAnchor, ConfigConsumerProps } from './Anchor';
import { ObjectInterface } from '../_utils/interfaces';
import './style/anchor.css';
export interface AnchorLinkProps {
    prefixCls?: string;
    href: string;
    target?: string;
    title: React.ReactNode;
    children?: React.ReactNode;
    className?: string;
}
declare class AnchorLink extends React.Component<AnchorLinkProps, ObjectInterface, DmcAnchor> {
    static defaultProps: {
        href: string;
    };
    static contextType: React.Context<DmcAnchor>;
    context: DmcAnchor;
    componentDidMount(): void;
    componentDidUpdate({ href: prevHref }: AnchorLinkProps): void;
    componentWillUnmount(): void;
    handleClick: (e: React.MouseEvent<HTMLElement>) => void;
    renderAnchorLink: ({ getPrefixCls }: ConfigConsumerProps) => JSX.Element;
    render(): JSX.Element;
}
declare const AnchorLinkMemo: React.MemoExoticComponent<typeof AnchorLink>;
export { AnchorLink, AnchorLinkMemo };
